Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1368412 - borgbackup 1.0.7 is available (contains important security fix)
Summary: borgbackup 1.0.7 is available (contains important security fix)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: borgbackup
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 10:16 UTC by Felix Schwarz
Modified: 2016-09-09 16:50 UTC (History)
2 users (show)

Fixed In Version: borgbackup-1.0.7-1.fc25 borgbackup-1.0.7-1.fc24 borgbackup-1.0.7-1.fc23 borgbackup-1.0.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-29 08:05:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Schwarz 2016-08-19 10:16:34 UTC
Current versions of borgbackup contain a security flaw which is fixed in 1.0.7. Currently this is a binary only release (https://github.com/borgbackup/borg/releases/tag/1.0.7bin) to give borg admins a bit of a head start but the full source release is supposed to be released later today.

This ticket is meant as a heads up so we can get the fix into Fedora as soon as possible.

Comment 1 Felix Schwarz 2016-08-20 20:27:35 UTC
borgbackup 1.0.7 is now available: https://pypi.python.org/pypi/borgbackup/1.0.7

More details about the security issue can be found in the changelog:
https://borgbackup.readthedocs.io/en/stable/changes.html#version-1-0-7-2016-08-19

Comment 2 Fedora Update System 2016-08-21 07:32:06 UTC
borgbackup-1.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f0e09b5124

Comment 3 Fedora Update System 2016-08-21 07:32:12 UTC
borgbackup-1.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f0e09b5124

Comment 4 Fedora Update System 2016-08-21 13:50:36 UTC
borgbackup-1.0.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20014bf2bd

Comment 5 Fedora Update System 2016-08-21 13:51:23 UTC
borgbackup-1.0.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4820585b11

Comment 6 Fedora Update System 2016-08-21 13:52:02 UTC
borgbackup-1.0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f734302c3f

Comment 7 Fedora Update System 2016-08-21 19:52:05 UTC
borgbackup-1.0.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4820585b11

Comment 8 Fedora Update System 2016-08-21 20:16:59 UTC
borgbackup-1.0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f0e09b5124

Comment 9 Fedora Update System 2016-08-21 20:51:24 UTC
borgbackup-1.0.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20014bf2bd

Comment 10 Fedora Update System 2016-08-21 20:52:47 UTC
borgbackup-1.0.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f734302c3f

Comment 11 Fedora Update System 2016-08-29 08:05:46 UTC
borgbackup-1.0.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-29 18:53:16 UTC
borgbackup-1.0.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-29 21:21:22 UTC
borgbackup-1.0.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-09-09 16:50:44 UTC
borgbackup-1.0.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.